%define upstreamname libvlc-ruby

Name: ruby-libvlc
Version: 0.1.0
Release: alt2

Summary: Ruby libvlc bindings
License: LGPL
Group: Development/Ruby
Url: http://yu.t1r.net/~nohar/vlc/

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Requires: libruby >= 1.8-alt3

Source: %url/%upstreamname-%version.tar.bz2

BuildRequires: libruby-devel ruby-stdlibs ruby libvlc-devel

%description
Ruby bindings for the libvlc, a program library to incorporate
functionalities from vlc the media player and streamer.

%prep
%setup -q -n %upstreamname-%version

%build
%ruby_config
pushd ext/vlcglue
make clean
popd
%ruby_build

%install
%ruby_install

%files
%doc README examples/
%ruby_sitearchdir/*
%ruby_sitelibdir/*

%changelog
* Wed Aug 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.1.0-alt2
- Corrected URL.

* Thu Feb 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.1.0-alt1
- Initial build for Sisyphus.

